<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Frontline
 */
$icon_404 = frontline_get_opt( 'icon_404', array( 'url' => '', 'id' => '' ) );
$icon_404_url = $icon_404['url'];
$subtitle_404 = frontline_get_opt( 'subtitle_404' );
$content_404_page = frontline_get_opt( 'content_404_page' );
$btn_text_404_page = frontline_get_opt( 'btn_text_404_page' );
get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <section class="error-404 bg-overlay bg-image">
                <div class="error-404-inner font-smooth">
                    <?php
                    if (!empty($icon_404_url)){
                        ?>
                        <div class="icon-404">
                            <img src="<?php echo esc_url($icon_404_url)?>" alt="<?php echo esc_attr__('404-icon', 'frontline');?>">
                        </div>
                        <?php
                    }
                    ?>
                    <h1>404</h1>
                    <p class="subtitle">
                        <?php if(!empty($subtitle_404)) {
                            echo wp_kses_post($subtitle_404);
                        } else {
                            echo esc_html__('OOPS! PAGE NOT FOUND!', 'frontline');
                        } ?>
                    </p>
                    <div class="page-content">
                        <?php if(!empty($content_404_page)) {
                            echo wp_kses_post($content_404_page);
                        } else {
                            echo esc_html__('The page you are looking is not available or has been removed. Try going to HomePage by using the button below.', 'frontline');
                        } ?>
                    </div><!-- .page-content -->
                    <a class="btn btn-404" href="<?php echo esc_url(home_url('/')); ?>">
                        <?php if(!empty($btn_text_404_page)) {
                            echo wp_kses_post($btn_text_404_page);
                        } else {
                            echo esc_html__('Back To HomePage', 'frontline');
                        } ?>
                    </a>
                </div>
            </section><!-- .error-404 -->
        </main><!-- #main -->
    </div><!-- #primary -->

<?php
get_footer();
