;(function ($) {

    "use strict";

    /* ===================
     Page reload
     ===================== */
    var scroll_top;
    var window_height;
    var window_width;
    var scroll_status = '';
    var lastScrollTop = 0;
    $(window).on('load', function () {
        $(".cms-loader").fadeOut("slow");
        window_width = $(window).width();
        frontline_col_offset();
        frontline_header_sticky();
        frontline_rtl();
        frontline_scroll_to_top();
        setTimeout(function () { $('.cms-grid-menu-layout5 .grid-filter-wrap .filter-item:nth-child(1)').trigger('click'); }, 100);
    });
    $(window).on('resize', function () {
        window_width = $(window).width();
        frontline_col_offset();
    });

    $(window).on('scroll', function () {
        scroll_top = $(window).scrollTop();
        window_height = $(window).height();
        window_width = $(window).width();
        if (scroll_top < lastScrollTop) {
            scroll_status = 'up';
        } else {
            scroll_status = 'down';
        }
        lastScrollTop = scroll_top;
        frontline_header_sticky();
        frontline_scroll_to_top();
    });

    $.sep_grid_refresh = function (){
        $('.cms-grid-masonry').each(function () {
            var iso = new Isotope(this, {
                itemSelector: '.grid-item',
                percentPosition: true,
                masonry: {
                    columnWidth: '.grid-sizer',
                },
                containerStyle: null,
                stagger: 30,
                sortBy : 'name',
            });

            var filtersElem = $(this).parent().find('.grid-filter-wrap');
            filtersElem.on('click', function (event) {
                var filterValue = event.target.getAttribute('data-filter');
                iso.arrange({filter: filterValue});
            });

            var filterItem = $(this).parent().find('.filter-item');
            filterItem.on('click', function (e) {
                filterItem.removeClass('active');
                $(this).addClass('active');
            });

            var filtersSelect = $(this).parent().find('.select-filter-wrap');
            filtersSelect.change(function() {
                var filters = $(this).val();
                iso.arrange({filter: filters});
            });

            var orderSelect = $(this).parent().find('.select-order-wrap');
            orderSelect.change(function() {
                var e_order = $(this).val();
                if(e_order == 'asc') {
                    iso.arrange({sortAscending: false});
                }
                if(e_order == 'des') {
                    iso.arrange({sortAscending: true});
                }
            });

        });
    }

    $(document).on('click', '.h-btn-search', function () {
        $('.cms-modal-search').addClass('open');
        // $('.cms-modal-search input[name="s"]').focus();
        setTimeout(function(){
            $('.cms-modal-search input[name="s"]').focus();
        },1000);
    });

    // load more
    $(document).on('click', '.cms-load-more', function(){
        var loadmore = $(this).data('loadmore');
        var _this = $(this).parents(".cms-grid");
        var layout_type = _this.data('layout');
        loadmore.paged = parseInt(_this.data('start-page')) +1;
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'frontline_load_more_post_grid',
                settings: loadmore
            }
        })
            .done(function (res) {
                if(res.status == true){
                    console.log(res.data);
                    _this.find('.cms-grid-inner').append(res.data.html);
                    _this.data('start-page', res.data.paged);
                    if(layout_type == 'masonry'){
                        setTimeout(function(){
                            $.sep_grid_refresh();
                        }, 400);
                    }
                }
                else if(res.status == false){
                    console.log(res.message);
                }
            })
            .fail(function (res) {
                console.log(res);
                return false;
            })
            .always(function () {
                return false;
            });
    });

    // pagination
    $(document).on('click', '.cms-grid-pagination .ajax a.page-numbers', function(){
        var _this = $(this).parents(".cms-grid");
        var loadmore = _this.find(".cms-grid-pagination").data('loadmore');
        var query_vars = _this.find(".cms-grid-pagination").data('query');
        var layout_type = _this.data('layout');
        var paged = $(this).attr('href');
        paged = paged.replace('#', '');
        loadmore.paged = parseInt(paged);
        query_vars.paged = parseInt(paged);
        // reload pagination
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'frontline_get_pagination_html',
                query_vars: query_vars
            }
        }).done(function (res) {
            if(res.status == true){
                _this.find(".cms-grid-pagination").html(res.data.html);
                setTimeout(function(){
                    $.sep_grid_refresh();
                }, 400);
            }
            else if(res.status == false){
                console.log(res.message);
            }
        }).fail(function (res) {
            console.log(res);
            return false;
        }).always(function () {
            return false;
        });
        // load post
        $.ajax({
            url: main_data.ajax_url,
            type: 'POST',
            beforeSend: function () {

            },
            data: {
                action: 'frontline_load_more_post_grid',
                settings: loadmore
            }
        }).done(function (res) {
            if(res.status == true){
                _this.find('.cms-grid-inner .grid-item').remove();
                _this.find('.cms-grid-inner').append(res.data.html);
                _this.data('start-page', res.data.paged);
                if(layout_type == 'masonry'){
                    $.sep_grid_refresh();
                }
            }
            else if(res.status == false){
                console.log(res.message);
            }
        }).fail(function (res) {
            console.log(res);
            return false;
        }).always(function () {
            return false;
        });
        return false;
    });

    $(document).ready(function () {

        /* =================
         Menu Dropdown
         =================== */
        var $menu = $('.main-navigation');
        $menu.find('.primary-menu li').each(function () {
            var $submenu = $(this).find('> ul.sub-menu');
            if ($submenu.length == 1) {
                $(this).hover(function () {
                    if ($submenu.offset().left + $submenu.width() > $(window).width()) {
                        $submenu.addClass('back');
                    } else if ($submenu.offset().left < 0) {
                        $submenu.addClass('back');
                    }
                }, function () {
                    $submenu.removeClass('back');
                });
            }
        });

        $('.sub-menu .current-menu-item').parents('.menu-item-has-children').addClass('current-menu-ancestor');
        /* =================
         Menu Mobile
         =================== */
        $("#main-menu-mobile .open-menu").on('click', function () {
            $(this).toggleClass('opened');
            $('.site-navigation').toggleClass('navigation-open');
        });

        /* ===================
         Search Toggle
         ===================== */
        $('.h-btn-form').click(function (e) {
            e.preventDefault();
            $('.cms-modal-contact-form').removeClass('remove').toggleClass('open');
        });
        $('.cms-close').click(function (e) {
            e.preventDefault();
            $(this).parent().addClass('remove').removeClass('open');
            $(this).parents('.cms-modal').addClass('remove').removeClass('open');
            $(this).parents('#page').find('.site-overlay').removeClass('open');
        });

        /* ===================
         Slide Nav Toggle
         ===================== */
        $('.icon-slide-nav span').on('click',function(e){
            e.preventDefault();
            $('body').addClass('js_nav');
        });
        $('.cms-close-slide').on('click',function(e){
            e.preventDefault();
            $('body').removeClass('js_nav');
        });

        /* Video 16:9 */
        $('.entry-video iframe').each(function () {
            var v_width = $(this).width();

            v_width = v_width / (16 / 9);
            $(this).attr('height', v_width + 35);
        });
        /* Images Light Box - Gallery:True */
        $('.images-light-box').each(function () {
            $(this).magnificPopup({
                delegate: 'a.light-box',
                type: 'image',
                gallery: {
                    enabled: true
                },
                mainClass: 'mfp-fade',
            });
        });

        /* ====================
         Scroll To Top
         ====================== */
        $('.scroll-top').click(function () {
            $('html, body').animate({scrollTop: 0}, 800);
            return false;
        });

        /* =================
        Add Class
        =================== */
        $('.wpcf7-select').parent().addClass('wpcf7-menu');
        /* =================
         Row & VC Column Animation
         =================== */
        $('.vc_row.wpb_row.vc_row-fluid').each(function () {
            var vctime = 100;
            var vc_inner = $(this).children().length;
            var _vci = vc_inner - 1;
            $(this).find('> .wpb_animate_when_almost_visible').each(function (index, obj) {
                $(this).css('animation-delay', vctime + 'ms');
                if (_vci === index) {
                    vctime = 100;
                    _vci = _vci + vc_inner;
                } else {
                    vctime = vctime + 100;
                }
            });
        });
        $('.animation-time').each(function () {
            var vctime = 100;
            var vc_inner = $(this).children().length;
            var _vci = vc_inner - 1;
            $(this).find('> .grid-item > .wpb_animate_when_almost_visible').each(function (index, obj) {
                $(this).css('animation-delay', vctime + 'ms');
                if (_vci === index) {
                    vctime = 100;
                    _vci = _vci + vc_inner;
                } else {
                    vctime = vctime + 40;
                }
            });
        });

        /* =================
         The clicked item should be in center in owl carousel
         =================== */
        var $owl_item = $('.owl-active-click');
        $owl_item.children().each(function (index) {
            $(this).attr('data-position', index);
        });
        $(document).on('click', '.owl-active-click .owl-item > div', function () {
            $owl_item.trigger('to.owl.carousel', $(this).data('position'));
        });

        /* Select */
        $('select').each(function () {
            $(this).niceSelect();
        });

        /* Newsletter */
        $('.tnp-field-email').find(".tnp-email").each(function (ev) {
            var email_text = $(this).parents('.tnp-field-email').find("label").text();
            $(this).parents('.tnp-field-email').find("label").remove();
            if (!$(this).val() && email_text != "") {
                $(this).attr("placeholder", email_text);
            }
        });
        $('.tnp-field-firstname').find(".tnp-firstname").each(function (ev) {
            var firstname_text = $(this).parents('.tnp-field-firstname').find("label").text();
            $(this).parents('.tnp-field-firstname').find("label").remove();
            if (!$(this).val() && firstname_text != "") {
                $(this).attr("placeholder", firstname_text);
            }
        });
        $('.tnp-field-lastname').find(".tnp-lastname").each(function (ev) {
            var lastname_text = $(this).parents('.tnp-field-lastname').find("label").text();
            $(this).parents('.tnp-field-lastname').find("label").remove();
            if (!$(this).val() && lastname_text != "") {
                $(this).attr("placeholder", lastname_text);
            }
        });

        /* Same Height */
        $('.vc_row-o-equal-height .col-equal-height').matchHeight();

        /* Mobile Menu */
        $('.main-navigation li.menu-item-has-children').append('<span class="main-menu-toggle"></span>');
        $('.main-menu-toggle').on('click', function () {
            $(this).parent().find('> .sub-menu').toggleClass('submenu-open');
            $(this).parent().find('> .sub-menu').slideToggle();
        });

        $(".h-btn-sidebar").on('click', function (e) {
            e.preventDefault();
            $('.cms-hidden-sidebar').toggleClass('open');
        });
        $(".cms-hidden-close").on('click', function (e) {
            e.preventDefault();
            $(this).parent().removeClass('open');
        });
        $(document).on('click', function (e) {
            if (e.target.className == 'cms-modal cms-modal-search open')
                $('.cms-modal-search').removeClass('open');
            if (e.target.className == 'cms-modal-close'){
                $(e.target).parents(".cms-modal-search").removeClass('open');
            }
            if (e.target.className == 'cms-hidden-sidebar open')
                $('.cms-hidden-sidebar').removeClass('open');
        });

        /* =================
         Move Divider, Angled & Overlay for Row VC
         =================== */
        $('.entry-content > .vc_row').each(function () {
            var _el_overlay = $(this).find(".cms-row-overlay"),
                _row_overlay = _el_overlay.parents(".wpb_column");
            _row_overlay.before(_el_overlay.clone());
            _el_overlay.remove();
            $(this).find(".cms-row-overlay").parent().addClass('vc-row-overlay');

            var _el_divider = $(this).find(".row-divider"),
                _row_divider = _el_divider.parents(".wpb_column");
            _row_divider.before(_el_divider.clone());
            _el_divider.remove();
        });

    });

    /* =================
     Column Absolute
     =================== */
    function frontline_col_offset() {
        var w_vc_row_lg = ($('#content').width() - 1230) / 2;
        if (window_width > 1200) {
            $('.col-offset-right > .vc_column-inner').css('padding-right', w_vc_row_lg + 'px');
            $('.col-offset-left > .vc_column-inner').css('padding-left', w_vc_row_lg + 'px');
            $('.col-offset-right > .col-offset-inner').css('padding-right', w_vc_row_lg + 'px');
            $('.col-offset-left > .col-offset-inner').css('padding-left', w_vc_row_lg + 'px');
        }
    }

    function frontline_header_sticky() {
        var offsetTop = $('#site-header-wrap').outerHeight();
        var h_header = $('.fixed-height').outerHeight();
        var offsetTopAnimation = offsetTop + 200;
        if($('#site-header-wrap').hasClass('is-sticky')) {
            if (scroll_status == 'down' && scroll_top > offsetTopAnimation) {
                $('#site-header').removeClass('h-fixed');
            }
            if (scroll_status == 'up' && scroll_top > offsetTopAnimation) {
                $('#site-header').addClass('h-fixed');
            } else if (scroll_status == 'up' && scroll_top < offsetTopAnimation) {
                $('#site-header').removeClass('h-fixed');
            }
        }

        if (window_width > 992) {
            $('.fixed-height').css({
                'height': h_header
            });
        }
    }

    function frontline_rtl() {
        /* =================
        RTL
        =================== */
        if ($('html').attr('dir') == 'rtl') {
            $('[data-vc-full-width="true"]').each(function (i, v) {
                $(this).css('right', $(this).css('left')).css('left', 'auto');
            });
        }
    }

    /* ====================
     Scroll To Top
     ====================== */
    function frontline_scroll_to_top() {
        if (scroll_top < window_height) {
            $('.scroll-top').addClass('off').removeClass('on');
        }
        if (scroll_top > window_height) {
            $('.scroll-top').addClass('on').removeClass('off');
        }
    }

    var theme = {
        init : function(){
            theme.animateImages();
            theme.hideWidgetMenuEmpty();
            theme.customProductSearchBtn();
            theme.widget_image_close();
            theme.customCarousel();
            theme.attorney_toggle_review();
            theme.svgImage();
            theme.videoPlay();
            theme.cms_anchorn_nav();
        },
        animateImages: function () {
            $(".cms-single-image-load .vc_single_image-wrapper").each(function(){
                var $selector = jQuery(this);
                $(window).scroll(function() {
                    var hT = $selector.offset().top,
                        hH = $selector.outerHeight(),
                        wH = $(window).height(),
                        wS = $(this).scrollTop();
                    if (wS > (hT-wH)){
                        $selector.addClass('animate');
                    }
                });

            });
            $(document).ready(function() {
                $(".cms-portfolio-grid.default .ripple-wrap").each(function(){
                    var $selector = jQuery(this);
                    setTimeout(function () {
                        $selector.ripples({
                            resolution: 256,
                            perturbance: 0.03
                        });
                    }, 200);
                });
            });
        },
        hideWidgetMenuEmpty : function(){
            /*----------widget_nav_menu-------------*/
            $(document).ready(function(){
                var $nav_menu = $('.widget_nav_menu');
                $nav_menu.find('li.menu-item > a').each(function () {
                    if ($(this).is(':empty')){
                        $(this).remove();
                    }
                });
            });
        },
        customProductSearchBtn : function(){
            var selector = $('form.woocommerce-product-search').find('button[type="submit"]');
            if (selector.length){
                selector.each(function (e) {
                    $(this).html('<i class="fa fa-search"></i>');
                });
            }
        },
        widget_image_close : function(){
            $('.cms-image-close img').before('<span></span>');
            $(document).on('click', '.cms-image-close .widget-content span', function (e) {
                e.preventDefault();
                $(this).parents('.cms-image-close').hide();
            });

        },
        videoPlay : function(){
            $(document).ready(function(){
                $('.video-play-button').magnificPopup({
                    type: 'iframe',
                    mainClass: 'mfp-fade',
                    removalDelay: 160,
                    preloader: false,
                    fixedContentPos: false
                });
            })
        },
        customCarousel : function(){
            /*----------Attorney carousel-------------*/
            $(document).ready(function(){
                var selector = $('.attorney-review.comment-list');
                if ($.fn.owlCarousel) {
                    selector.owlCarousel({
                        margin:0,
                        responsiveClass:true,
                        dots:false,
                        loop: false,
                        mouseDrag : true,
                        nav:true,
                        navSpeed: 500,
                        smartSpeed: 500,
                        navText : ['<i class="zmdi zmdi-long-arrow-left"></i>','<i class="zmdi zmdi-long-arrow-right"></i>'],
                        responsive:{
                            0:{
                                items:1
                            },
                            576:{
                                items:1
                            },
                            768:{
                                items:1
                            }
                        }
                    })
                }
            });
        },
        attorney_toggle_review : function(){
            $(document).on('click', '.attorney-info-wrap .review-title', function () {
                $(this).parent().find('.comment-respond').slideToggle(300);
            });
        },
        svgImage : function(){
            /*----------svg Image-------------*/
            $(document).ready(function(){
                setTimeout(function () {
                    $('img.svg').each(function(){
                        var $img = jQuery(this);
                        var imgID = $img.attr('id');
                        var imgClass = $img.attr('class');
                        var imgURL = $img.attr('src');

                        $.get(imgURL, function(data) {
                            // Get the SVG tag, ignore the rest
                            var $svg = jQuery(data).find('svg');

                            // Add replaced image's ID to the new SVG
                            if(typeof imgID !== 'undefined') {
                                $svg = $svg.attr('id', imgID);
                            }
                            // Add replaced image's classes to the new SVG
                            if(typeof imgClass !== 'undefined') {
                                $svg = $svg.attr('class', imgClass+' replaced-svg');
                            }

                            // Remove any invalid XML tags as per http://validator.w3.org
                            $svg = $svg.removeAttr('xmlns:a');

                            // Check if the viewport is set, if the viewport is not set the SVG wont't scale.
                            if(!$svg.attr('viewBox') && $svg.attr('height') && $svg.attr('width')) {
                                $svg.attr('viewBox', '0 0 ' + $svg.attr('height') + ' ' + $svg.attr('width'))
                            }

                            // Replace image with new SVG
                            $img.replaceWith($svg);

                        }, 'xml');

                    });
                }, 300);
            });
        },
        cms_anchorn_nav : function(){
            $(document).ready(function(){
                $('.anchor-nav a').not('[href="#"]').not('[href="#0"]').click(function(event) {
                    // On-page links
                    if ( location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
                        // Figure out element to scroll to
                        var target = $(this.hash);
                        target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                        // Does a scroll target exist?
                        if (target.length) {
                            // Only prevent default if animation is actually gonna happen
                            event.preventDefault();
                            $('html, body').animate({
                                scrollTop: target.offset().top - 100
                            }, 600, function() {
                                // Callback after animation
                                // Must change focus!
                                var $target = $(target);
                                $target.focus();
                                if ($target.is(":focus")) { // Checking if the target was focused
                                    return false;
                                } else {
                                    $target.attr('tabindex','-1'); // Adding tabindex for elements not focusable
                                    $target.focus(); // Set focus again
                                }
                            });
                        }
                    }
                });
            });
        },
    };
    theme.init();


})(jQuery);
