<?php
// Register Icon Box Widget
etc_add_custom_widget(
    array(
        'name' => 'cms_landing_page',
        'title' => esc_html__('Landing Page', 'frontline' ),
        'icon' => 'eicon-info-box',
        'categories' => array( Elementor_Theme_Core::ETC_CATEGORY_NAME ),
        'scripts' => array(

        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'layout_section',
                    'label' => esc_html__('Layout', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'frontline' ),
                            'type' => Elementor_Theme_Core::LAYOUT_CONTROL,
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'frontline' ),
                                    'image' => get_template_directory_uri() . '/elementor/templates/widgets/cms_landing_page/layout-image/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'image_section',
                    'label' => esc_html__('Select Images', 'frontline' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'selected_image',
                            'label' => esc_html__( 'Featured Image', 'frontline' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        array(
                            'name' => 'heading_text',
                            'label' => esc_html__('Heading Text', 'frontline'),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default'       => esc_html__('Learn More' , 'frontline'),
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_url_type',
                            'label' => esc_html__('Link Type', 'frontline'),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options'       => [
                                'url'   => esc_html__('URL', 'frontline'),
                                'link'  => esc_html__('Existing Page', 'frontline'),
                            ],
                            'default'       => 'url',
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('Link', 'frontline'),
                            'type' => \Elementor\Controls_Manager::URL,
                            'condition'     => [
                                'button_url_type'     => 'url',
                            ],
                            'label_block'   => true,
                        ),
                        array(
                            'name' => 'button_link_existing_content',
                            'label' => esc_html__('Existing Page', 'frontline'),
                            'type' => \Elementor\Controls_Manager::SELECT2,
                            'options'       => etc_get_all_page(),
                            'condition'     => [
                                'button_url_type'     => 'link',
                            ],
                            'multiple'      => false,
                            'label_block'   => true,
                        ),
                    ),
                ),
            ),
        ),
    ),
    get_template_directory() . '/elementor/core/widgets/'
);