<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Frontline
 */
$post_comments_form_on = frontline_get_page_opt( 'attorney_show_review', true );
$contact_form = frontline_get_page_opt('attorney_contact_form');

?>
<div class="container content-container">
    <div class="row">
        <div id="primary" class="content-area col-12">
            <main id="main" class="site-main">
                <div class="post-type-inner">
                    <?php while ( have_posts() ) : the_post(); ?>
                        <div class="row">
                            <div class="col-lg-4 col-md-5 left-content">
                                <div class="attorney-info-wrap">
                                    <?php
                                    $act_position = frontline_get_page_opt('act_position');
                                    $experience = frontline_get_page_opt('act_experience');
                                    $act_location = frontline_get_page_opt('act_location');
                                    $act_email = frontline_get_page_opt('act_email');
                                    $act_phone = frontline_get_page_opt('act_phone');
                                    $act_facebook = frontline_get_page_opt('act_facebook');
                                    $act_twitter = frontline_get_page_opt('act_twitter');
                                    $act_skype = frontline_get_page_opt('act_skype');
                                    $act_instagram = frontline_get_page_opt('act_instagram');
                                    $act_download = frontline_get_page_opt('act_download');
                                    if (has_post_thumbnail()) {
                                        ?>
                                        <div class="featured-image-wrap">
                                            <?php the_post_thumbnail('full'); ?>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                    <div class="attorney-info">
                                        <h3><?php the_title(); ?></h3>
                                        <div class="main-info">
                                            <ul class="info-text">
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Position', 'frontline').':';?></span>
                                                    <span class="value"><?php echo esc_html($act_position);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Experience', 'frontline').':';?></span>
                                                    <span class="value"><?php echo esc_html($experience);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Location', 'frontline').':';?></span>
                                                    <span class="value"><?php echo esc_html($act_location);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Email', 'frontline').':';?></span>
                                                    <span class="value"><?php echo esc_html($act_email);?></span>
                                                </li>
                                                <li>
                                                    <span class="label"><?php echo esc_html__('Phone', 'frontline').':';?></span>
                                                    <span class="value"><?php echo esc_html($act_phone);?></span>
                                                </li>
                                            </ul>
                                            <div class="attorney-social">
                                                <span class="label"><?php echo esc_html__('Contact', 'frontline').':';?></span>
                                                <ul class="info-social">
                                                    <?php if(!empty($act_facebook)) : ?>
                                                        <li><a href="<?php echo esc_url($act_facebook); ?>"><i class="zmdi zmdi-facebook"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($act_twitter)) : ?>
                                                        <li><a href="<?php echo esc_url($act_twitter); ?>"><i class="zmdi zmdi-twitter"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($act_skype)) : ?>
                                                        <li><a href="<?php echo esc_attr($act_skype); ?>"><i class="zmdi zmdi-skype"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($act_instagram)) : ?>
                                                        <li><a href="<?php echo esc_attr($act_instagram); ?>"><i class="zmdi zmdi-instagram"></i></a></li>
                                                    <?php endif; ?>
                                                    <?php if(!empty($act_email)) : ?>
                                                        <li><a href="mailto:<?php echo str_replace(' ','',$act_email); ?>"><i class="zmdi zmdi-email-open"></i></a></li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="download-button font-smooth">
                                        <?php if($act_download) : ?>
                                            <?php echo wp_kses_post($act_download); ?>
                                        <?php endif; ?>
                                    </div>
                                    <?php
                                    if($post_comments_form_on){
                                        ?>
                                        <div class="review-form font-smooth">
                                            <p class="review-title">
                                                <?php echo esc_html__('review', 'frontline').' '.get_the_title();?>
                                            </p>
                                            <?php
                                            $cmt_author = "";
                                            if(!empty($commenter['comment_author'])){
                                                $cmt_author = $commenter['comment_author'];
                                            }
                                            $cmt_email = "";
                                            if(!empty($commenter['comment_author_email'])){
                                                $cmt_email = $commenter['comment_author_email'];
                                            }
                                            $args = array(
                                                'id_form'           => 'commentform',
                                                'id_submit'         => 'submit',
                                                'title_reply'       =>'',
                                                'title_reply_to'    => '',
                                                'cancel_reply_link' => '',
                                                'label_submit'      => esc_attr__( 'Post Review', 'frontline'),
                                                'comment_notes_before' => '',
                                                'fields' => apply_filters( 'comment_form_default_fields', array(
                                                        'author' =>
                                                            '<div class="comment-form-author">'.
                                                            '<input id="author" name="author" type="text" value="' . esc_attr( $cmt_author ) .
                                                            '" size="30" placeholder="'.esc_attr__('Your Name*', 'frontline').'"/></div>',

                                                        'email' =>
                                                            '<div class="comment-form-email">'.
                                                            '<input id="email" name="email" type="text" value="' . esc_attr(  $cmt_email ) .
                                                            '" size="30" placeholder="'.esc_attr__('Email*', 'frontline').'"/></div>',
                                                    )
                                                ),
                                                'comment_field' =>  '<div class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" placeholder="'.esc_attr__('Review*', 'frontline').'" aria-required="true">' .
                                                    '</textarea></div>',
                                            );
                                            comment_form($args);
                                            ?>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </div>
                            </div>
                            <div class="col-lg-8 col-md-7 right-content">
                                <div class="post-type-attorneys">
                                    <?php the_content(); ?>
                                </div>
                                <?php
                                if ( comments_open() || get_comments_number() )
                                {
                                    comments_template('/template-parts/content-attorney/review.php');
                                }
                                ?>
                                <?php
                                if(class_exists('WPCF7') && !empty($contact_form) ){ 
                                    ?>
                                    <div class="attorney-contact">
                                        <h2 class="contact-title"><?php echo esc_html__('Contact With', 'frontline').' '.get_the_title(); ?></h2>
                                        <?php echo do_shortcode('[contact-form-7 id="'.esc_attr( $contact_form ).'"]'); ?>
                                    </div>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    <?php endwhile; ?>
                </div>
            </main><!-- #main -->
        </div><!-- #primary -->
    </div>
</div>