<?php
/**
 * The template for displaying comments.
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @package Frontline
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
    return;
}
$post_comments_form_on = frontline_get_page_opt( 'attorney_show_review', true );
wp_enqueue_script( 'owl-carousel' );
if($post_comments_form_on) : ?>

    <div id="comments" class="comments-area">

        <?php
        // You can start editing here -- including this comment!
        if ( have_comments() ) : ?>
            <div class="comment-list-wrap">
                <h2 class="comments-title"><?php echo esc_html__('What Customer Say ', 'frontline').get_the_title(); ?></h2><!-- .comments-title -->

                <?php the_comments_navigation(); ?>

                <ul class="comment-list attorney-review owl-carousel">
                    <?php
                        wp_list_comments( array(
                            'style'      => 'ul',
                            'short_ping' => true,
                            'callback'   => 'frontline_attorney_review',
                        ) );
                    ?>
                </ul><!-- .comment-list -->

                <?php the_comments_navigation(); ?>
            </div>
            <?php

        endif; // Check for have_comments().
    ?>
    </div><!-- #comments -->

<?php endif; ?>