<?php
$footer_top_column = frontline_get_opt( 'footer_top_column', '4' );
$footer_copyright = frontline_get_opt( 'footer_copyright' );
$footer_bottom_menu = frontline_get_opt( 'footer_bottom_menu' );
?>
<footer id="colophon" class="site-footer font-smooth footer-layout1 footer-<?php echo esc_attr($footer_top_column); ?>-column">
    <?php if ( is_active_sidebar( 'sidebar-footer-1' ) || is_active_sidebar( 'sidebar-footer-2' ) || is_active_sidebar( 'sidebar-footer-3' ) || is_active_sidebar( 'sidebar-footer-4' ) ) : ?>
        <div class="top-footer">
            <div class="container">
                <div class="row">
                    <?php frontline_footer_top(); ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="bottom-footer">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="bottom-col">
                        <div class="bottom-copyright">
                            <?php
                            if ($footer_copyright) {
                                echo wp_kses_post($footer_copyright);
                            } else {
                                echo wp_kses_post('&copy; 2019 Frontline by <a target="_blank" href="//themeforest.net/user/farost/portfolio">Farost</a>. All rights reserved');
                            } ?>
                        </div>
                        <div class="bottom-menu">
                            <?php
                            if (!empty($footer_bottom_menu)){
                                $f_args = array(
                                    'menu' => $footer_bottom_menu,
                                    'menu_id'         => 'footer-bottom-menu',
                                );
                                wp_nav_menu($f_args);
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>