<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = frontline_get_opt( 'sticky_on', false );
$h_btn_on = frontline_get_opt( 'h_btn_on', 'hide' );
$h_btn_text = frontline_get_opt( 'h_btn_text' );
$h_btn_link_type = frontline_get_opt( 'h_btn_link_type', 'page' );
$h_btn_link = frontline_get_opt( 'h_btn_link' );
$h_btn_link_custom = frontline_get_opt( 'h_btn_link_custom' );
$h_btn_target = frontline_get_opt( 'h_btn_target', '_self' );
$search_on = frontline_get_opt( 'search_on', false );
if($h_btn_link_type == 'page') {
    $h_btn_url = get_permalink($h_btn_link);
} else {
    $h_btn_url = $h_btn_link_custom;
}
?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout5 fixed-height <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 column-flex">
                        <div class="site-menu-left">
                            <div class="site-branding">
                                <?php get_template_part( 'template-parts/header-branding' ); ?>
                            </div>
                            <div class="site-navigation">
                                <nav class="main-navigation">
                                    <?php get_template_part( 'template-parts/header-menu' ); ?>
                                </nav>
                            </div>
                        </div>
                        <div class="site-menu-right">
                            <?php if($search_on) : ?>
                                <?php if($search_on) : ?>
                                    <div class="site-menu-right-search">
                                        <span class="icon-item h-btn-search"><i class="fa fa-search"></i></span>
                                    </div>
                                <?php endif;
                                ?>
                            <?php endif; ?>
                            <?php if($h_btn_on == 'show' && !empty($h_btn_text)) : ?>
                                <div class="site-menu-right-button">
                                    <a href="<?php echo esc_url( $h_btn_url ); ?>" target="<?php echo esc_attr($h_btn_target); ?>" class="menu-right-item btn hover-slide"><?php echo esc_attr( $h_btn_text ); ?></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>