<?php
/**
 * Template part for displaying default header layout
 */
$sticky_on = frontline_get_opt( 'sticky_on', false );
$search_on = frontline_get_opt( 'search_on', false );
$cart_on = frontline_get_opt( 'cart_on', false );
$slide_nav_on = frontline_get_opt( 'slide_nav_on', false );
$header_note = frontline_get_opt('header_note', "");

?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout1 fixed-height <?php if($sticky_on == 1) { echo 'is-sticky'; } ?>">
        <div class="header-top">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="header-top-inner">
                            <div class="header-top-left">
                                <p><?php echo wp_kses_post($header_note); ?></p>
                            </div>
                            <div class="header-top-right">
                                <?php if($search_on || $cart_on ) : ?>
                                    <div class="top-right-content">
                                        <div class="top-right-social">
                                            <div class="cms-social-media rotate-hover">
                                                <?php frontline_social_media(); ?>
                                            </div>
                                        </div>
                                        <div class="top-right-action-icon">
                                            <?php if(class_exists('Woocommerce') && $cart_on) : ?>
                                                <div class="icon-item menu-cart">
                                                    <div class="cart-wrap">
                                                        <span class="cart-count"><?php echo WC()->cart->cart_contents_count; ?></span>
                                                        <span class="h-btn-cart"><i class="fa fa-shopping-cart"></i></span>
                                                    </div>
                                                    <div class="widget_shopping_cart">
                                                        <div class="widget_shopping_cart_content">
                                                            <?php woocommerce_mini_cart(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                            <?php if($search_on) : ?>
                                                <span class="icon-item h-btn-search"><i class="fa fa-search"></i></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 column-flex">
                        <div class="site-branding">
                            <?php get_template_part( 'template-parts/header-branding' ); ?>
                        </div>
                        <div class="site-navigation">
                            <nav class="main-navigation">
                                <?php get_template_part( 'template-parts/header-menu' ); ?>
                            </nav>
                            <div class="site-menu-right">
                                <?php if ($slide_nav_on) : ?>
                                    <div class="icon-slide-nav icon-wrap">
                                    <span>
                                        <i class="lines-button">
                                            <i class="lines"></i>
                                        </i>
                                    </span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>