<?php
$titles = frontline_get_page_titles();

$pagetitle = frontline_get_opt( 'pagetitle', 'show' ); // 1 in 3 : themeoption, show (custom) or  hide
$ptitle_layout = frontline_get_opt( 'ptitle_layout', '1' );

$custom_pagetitle = frontline_get_page_opt( 'custom_pagetitle', 'themeoption');
$ptitle_layout_page = frontline_get_page_opt( 'ptitle_layout', '');
if($custom_pagetitle != 'themeoption' && $custom_pagetitle != '' && !is_search()) {
    $pagetitle = $custom_pagetitle;
}

if($custom_pagetitle != 'themeoption' && $custom_pagetitle != '' && $ptitle_layout_page != '') {
    $ptitle_layout = $ptitle_layout_page;
}

$sub_title = frontline_get_page_opt( 'sub_title' );
ob_start();
if ( $titles['title'] )
{
    printf( '<h1 class="page-title">%s</h1>', esc_attr($titles['title']) );
}
$titles_html = ob_get_clean();
$ptitle_breadcrumb_on = frontline_get_opt( 'ptitle_breadcrumb_on', 'show' );
if(is_404()) {
    return true;
}

// Page Title Background
$bg_image = "";
if(is_singular('portfolio') || is_singular('area')){
    $bg_image = get_the_post_thumbnail_url(get_the_ID(),'full');
}

if(class_exists('WooCommerce')) {
    if (is_shop()) {
        $shop_id = get_option('woocommerce_shop_page_id', '');
        $bg = get_post_meta($shop_id, 'ptitle_bg', true);
    }
}
if($pagetitle == 'show') : ?>
    <?php 
        switch ($ptitle_layout) {
            default:
                ?>
                <div id="pagetitle" style="<?php if(!empty($bg_image)){?>background-image:url('<?php echo esc_url($bg_image); ?>');<?php } ?>" class="page-title bg-overlay bg-image page-title-layout<?php echo esc_attr($ptitle_layout); ?>">
                    <div class="container">
                        <div class="page-title-inner font-smooth">
                            <?php printf( '%s', wp_kses_post($titles_html)); ?>
                            <?php if($custom_pagetitle && !empty($sub_title) && !is_singular('post')) : ?>
                                <p class="page-sub-title ft-sub">
                                    <?php echo wp_kses_post( $sub_title ); ?>
                                </p>
                            <?php endif; ?>
                        </div>
                        <?php if($ptitle_breadcrumb_on == 'show') : ?>
                            <?php frontline_breadcrumb(); ?>
                        <?php endif; ?>
                    </div>
                </div>
                <?php
            break;
        }
    ?>
<?php endif; ?>