<?php
//Site logo
$slide_logo = frontline_get_opt( 'slide_logo', array( 'url' => '', 'id' => '' ) );
$slide_logo_url = $slide_logo['url'];
$top_slide_desc = frontline_get_opt('top_slide_desc', "");
$ct_address = frontline_get_opt('ct_address', "");
$ct_email = frontline_get_opt('ct_email', "");
$time_open = frontline_get_opt('time_open', "");
$ct_phone = frontline_get_opt('ct_phone', "");
$ct_phone_href = str_replace(array('(', ')',' ','.'), '', $ct_phone);
$bottom_slide_desc = frontline_get_opt('bottom_slide_desc', "");
$slide_btn_text = frontline_get_opt('slide_btn_text', "Free Consultation");
$slide_btn_link = frontline_get_opt('slide_btn_link', "#");
?>
<div class="slide-nav-wrapper">
    <div class="cms-close-slide">
        <i class="zmdi zmdi-close"></i>
    </div>
    <div class="slide_content_wrapper">
        <div class="slide-top">
            <?php
            if (!empty($slide_logo_url)) {
                ?>
                <div class="slide-logo-wrap">
                    <?php
                    printf(
                        '<a class="slide-logo" href="%1$s" title="%2$s" rel="home"><img src="%3$s" alt="%2$s"/></a>',
                        esc_url( home_url( '/' ) ),
                        esc_attr( get_bloginfo( 'name' ) ),
                        esc_url( $slide_logo_url )
                    );
                    ?>
                </div>
                <?php
            }
            if (!empty($top_slide_desc)) {
                ?>
                <div class="slide-desc">
                    <p><?php echo wp_kses_post($top_slide_desc); ?></p>
                </div>
                <?php
            }
            ?>
        </div>
        <div class="slide-contact">
            <h3 class="title-underline"><?php echo esc_html__('Contact Us', 'frontline');?></h3>
            <?php
            if(!empty($ct_address)): ?>
                <div class="ct-item slide-ct-address">
                    <span><i class="zmdi zmdi-pin"></i></span>
                    <p><?php echo wp_kses_post($ct_address); ?></p>
                </div>
            <?php endif;
            if(!empty($ct_email)): ?>
                <div class="ct-item slide-ct-email">
                    <span><i class="zmdi zmdi-email"></i></span>
                    <a href="mailto:<?php echo esc_attr( $ct_email ); ?>"><?php echo wp_kses_post( $ct_email  ); ?></a>
                </div>
            <?php endif;

            if(!empty($time_open)): ?>
                <div class="ct-item slide-ct-time">
                    <span><i class="zmdi zmdi-time"></i></span>
                    <p><?php echo wp_kses_post($time_open); ?></p>
                </div>
            <?php endif;

            if(!empty($ct_phone)): ?>
                <div class="ct-item slide-ct-phone font-smooth">
                    <span><?php echo esc_html__( 'Call Us 24/7', 'frontline'  ).": "; ?></span>
                    <a href="tel:<?php echo esc_attr( $ct_phone_href ); ?>"><?php echo wp_kses_post( $ct_phone  ); ?></a>
                </div>
            <?php endif;
        ?></div>
        <div class="slide-social">
            <h3 class="title-underline"><?php echo esc_html__('Follow Us', 'frontline');?></h3>
            <div class="cms-social-media">
                <?php frontline_social_media(); ?>
            </div>
        </div>
        <div class="slide-bottom">
            <?php
            if (!empty($bottom_slide_desc)) {
                ?>
                <div class="slide-desc">
                    <p><?php echo wp_kses_post($bottom_slide_desc); ?></p>
                </div>
                <?php
            }

            if (!empty($slide_btn_text)) {
                ?>
                <div class="slide-button">
                    <a class="btn hover-slide" href="<?php echo esc_attr($slide_btn_link);?>"><?php echo esc_html($slide_btn_text);?></a>
                </div>
                <?php
            }
            ?>
        </div>
    </div>
</div>